$! make analog under OpenVMS
$!
$! In case of problems with the install you might contact me at
$! zinser@decus.decus.de (preferred) or martin_zinser@exchange.de
$!
$! Check for MMK/MMS
$!
$ Make = ""
$ If F$Search ("Sys$System:MMS.EXE") .nes. "" Then Make = "MMS"
$ If F$Type (MMK) .eqs. "STRING" Then Make = "MMK"
$!
$! Setup standard Compile/link options
$!
$ cflags = "/nolist/name=as_is/define=(_VMS_V6_SOURCE)"
$ lopts = ""
$!
$! Check if we want to build a Debug image
$!
$ if p1.eqs."DEBUG"
$  then
$   Makedef = "/DEF=(DEBUG)"
$   cflags = cflags + "/noopt/debug"
$   lopts = lopts + "/debug"
$ else
$   Makedef = ""
$ endif
$!
$! Compile the program
$!
$ if (Make .eqs. "")
$  then
$   set file analhea2.h/noexpire
$   cc /OBJECT=ANALOG.OBJ   'cflags analog.c
$   cc /OBJECT=CACHE.OBJ    'cflags cache.c
$   cc /OBJECT=INIT.OBJ     'cflags init.c
$   cc /OBJECT=INIT2.OBJ    'cflags init2.c
$   cc /OBJECT=HASH.OBJ     'cflags hash.c
$   cc /OBJECT=UTILS.OBJ    'cflags utils.c
$   cc /OBJECT=TREE.OBJ     'cflags tree.c
$   cc /OBJECT=DATES.OBJ    'cflags dates.c
$   if f$getsyi("CPU") .GE. 128 then prefix_all = "/prefix=all"
$   cc /OBJECT=ALIAS.OBJ    'cflags alias.c 'prefix_all'
$   cc /OBJECT=INPUT.OBJ    'cflags input.c
$   cc /OBJECT=OUTPUT.OBJ   'cflags output.c
$   cc /OBJECT=OUTPUT2.OBJ  'cflags output2.c
$   cc /OBJECT=PROCESS.OBJ  'cflags process.c
$   cc /OBJECT=SORT.OBJ     'cflags sort.c
$   cc /OBJECT=SETTINGS.OBJ 'cflags settings.c
$   link 'lopts analog/option
$  else
$   'Make' 'makedef
$ endif
$exit
